#
# Conditional build:
%bcond_with	tests	# unit tests
%bcond_without	doc	# Sphinx documentation

Summary:	An RST directive for injecting a Towncrier-generated changelog draft containing fragments for the unreleased (next) project version
Summary(pl.UTF-8):	Dyrektywa RST do wstawiania szablonu logu zmian z Towncriera, zawierającego fragmenty dla kolejnej wersji projektu
Name:		python3-sphinxcontrib-towncrier
Version:	0.5.0a0
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-towncrier/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-towncrier/sphinxcontrib_towncrier-%{version}.tar.gz
# Source0-md5:	ccbfe2f9442ee2eb10cdc98313226e3f
URL:		https://pypi.org/project/sphinxcontrib-towncrier/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:64
BuildRequires:	python3-setuptools_scm >= 8
%if %{with tests}
BuildRequires:	python3-Sphinx >= 3.5.1
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-xdist
BuildRequires:	python3-towncrier >= 23
%endif
%if %{with doc}
BuildRequires:	python3-furo >= 2021.02.28.beta28
BuildRequires:	python3-myst_parser >= 0.13.5
BuildRequires:	python3-sphinxcontrib-apidoc >= 0.3.0
BuildRequires:	python3-towncrier >= 23
BuildRequires:	sphinx-pdg >= 3.5.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An RST directive for injecting a Towncrier-generated changelog draft
containing fragments for the unreleased (next) project version.

%description -l pl.UTF-8
Dyrektywa RST do wstawiania szablonu logu zmian z Towncriera,
zawierającego fragmenty dla nie wydanej (kolejnej) wersji projektu.

%package apidocs
Summary:	API documentation for Python sphinxcontrib.towncrier module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona sphinxcontrib.towncrier
Group:		Documentation

%description apidocs
API documentation for Python sphinxcontrib.towncrier module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona sphinxcontrib.towncrier.

%prep
%setup -q -n sphinxcontrib_towncrier-%{version}

%{__sed} -i -e '/^get_scm_version/ s/=.*/= lambda **kwargs : "%{version}"/' docs/conf.py

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="xdist.plugin" \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/sphinxcontrib/towncrier
%{py3_sitescriptdir}/sphinxcontrib_towncrier-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,pkg,*.html,*.js}
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinxcontrib-towncrier.git;a=log;h=master

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 2ef46dd
- release 2 to rebuild with doc

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> d2e641c
- updated to 0.5.0a0, package -apidocs

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> 32eb66e
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c3858b7
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fba8480
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 033873a
- Up to 0.4.0a0

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> b30269b
- Release 5 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 23178f2
- Release 4 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e86e936
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 238788f
- rebuild with python 3.10

* Wed Mar 23 2022 Jakub Bogusz <qboosh@pld-linux.org> f322177
- updated to 0.2.1a0

* Sun Nov 28 2021 Jan Rękorajski <baggins@pld-linux.org> 2649b92
- new

